﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace DataLayer.Entities;

[Table("Invoice_consumables")]
public partial class InvoiceConsumable
{
    [Key]
    [Column("id")]
    public Guid Id { get; set; }

    [Column("invoiceId")]
    public Guid InvoiceId { get; set; }

    [Required]
    [Column("name")]
    [StringLength(255)]
    public string Name { get; set; }

    [Column("price", TypeName = "decimal(10, 5)")]
    public decimal Price { get; set; }

    [Column("count", TypeName = "decimal(10, 5)")]
    public decimal Count { get; set; }

    [ForeignKey("InvoiceId")]
    [InverseProperty("InvoiceConsumables")]
    public virtual Invoice Invoice { get; set; }
}